#
# spec file for package perl-XML-Stream
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-XML-Stream
Version:        1.24
Release:        bp155.2.10
%define cpan_name XML-Stream
Summary:        Creates an XML Stream connection and parses return data
License:        LGPL-2.1+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/XML-Stream/
Source:         http://www.cpan.org/authors/id/D/DA/DAPATRICK/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Authen::SASL)
BuildRequires:  perl(Module::Build) >= 0.3603
BuildRequires:  perl(Test::More) >= 0.92
Requires:       perl(Authen::SASL)
%{perl_requires}

%description
This module provides the user with methods to connect to a remote server,
send a stream of XML to the server, and receive/parse an XML stream from
the server. It is primarily based work for the Etherx XML router developed
by the Jabber Development Team. For more information about this project
visit http://xmpp.org/protocols/streams/.

XML::Stream gives the user the ability to define a central callback that
will be used to handle the tags received from the server. These tags are
passed in the format defined at instantiation time. the closing tag of an
object is seen, the tree is finished and passed to the call back function.
What the user does with it from there is up to them.

For a detailed description of how this module works, and about the data
structure that it returns, please view the source of Stream.pm and look at
the detailed description at the end of the file.

NOTE: The parser that XML::Stream::Parser provides, as are most Perl
parsers, is synchronous. If you are in the middle of parsing a packet and
call a user defined callback, the Parser is blocked until your callback
finishes. This means you cannot be operating on a packet, send out another
packet and wait for a response to that packet. It will never get to you.
Threading might solve this, but as we all know threading in Perl is not
quite up to par yet. This issue will be revisted in the future.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build build flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install destdir=%{buildroot} create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc CHANGES INFO LICENSE README

%changelog
* Fri Feb  6 2015 coolo@suse.com
- updated to 1.24
  - Update bug tracker location
  1.23_07 2014-12-17
  ====
  - Correct incorrectly tagged 1.23_06 (errantly tagged as 1.24_06)
  1.23_06 2011-07-19
  ====
  - Eliminate another set of cyclic references (szabgab)
  - Stylistic improvements in tests (szabgab)
  - Refactor debug output to separate module (szabgab)
  - Weaken scalar references to address additional memory leak (szabgab)
  - Add additional tests for scalar references (szabgab)
  - Documentation format corrections (szabgab)
  1.23_05 2011-06-23
  ====
  - RT#8834 unindented POD so that it reformats properly (szabgab)
  - Weaken cyclic references in XML::Stream to eliminate memory leak (szabgab)
  - Increase use of warnings and strictures in tests and code (szabgab)
  - Replace indirect object notation with direct invocation notation (szabgab)
  - Replace manual TAP output with Test::More (szabgab)
  1.23_04 2010-09-22
  ====
  - RT#57649 Set default value for _tls flag
  - Module metadata changes
  1.23_03 2010-09-20
  ====
  - RT#57649 Prepare cert verification params when TLS connection is requested
  1.23_02 2010-09-18
  ====
  - Convert project to Module::Build, with ExtUtils::MakeMaker compatibility
  - RT#57649 SSL cert verification, enabled by default
  - RT#53315 Remove old, bundled Test::* libraries, now core
  - RT#54880 Clarify license terms
  - RT#54151 Disable network-based tests via environment variable (for Debian)
  - RT#56574 Fix object construction causing problems on Perl 5.12.0
* Fri Nov 18 2011 coolo@suse.com
- use original tar.gz
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Wed Jul 14 2010 chris@computersalat.de
- recreated by cpanspec 1.78
  o fix deps
- noarch pkg
* Wed Jan 13 2010 anicka@suse.cz
- update to 1.23
  * RT#17484 Handle servers which re-use stream ID
  * RT#18711 Update link to XML Streams doc
  * RT#12977 Require perl >= 5.8.0
  * RT#19415 Use jabber.org for tests
  * RT#21932 Fix authname for Google Talk SASL auth
  * RT#39098 Make dependencies more explicit
  * RT#24817 Merge and massage of toddr's SASL fix
  * RT#36864 Fake select on filehandles on win32
  * RT#31215 Test and fix for XML node copying issue
  * RT#17325 Fix and test for infinite loop on quotes
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Aug  1 2005 mjancar@suse.cz
- update to 1.22
* Thu Feb 26 2004 mjancar@suse.cz
- update to 1.17
* Sun Jan 11 2004 adrian@suse.de
- build as user
* Fri Aug 22 2003 mjancar@suse.cz
- require the perl version we build with
* Fri Jul 18 2003 mjancar@suse.cz
- adapt to perl-5.8.1
- use %%perl_process_packlist
* Mon Jun 16 2003 mjancar@suse.cz
- fix filelist
* Mon May 19 2003 ro@suse.de
- remove perllocal.pod
* Wed May 14 2003 mjancar@suse.cz
- disabled tests that require internet connectivity
* Wed Dec 18 2002 prehak@suse.cz
- updated to version 1.16
* Mon Jul 29 2002 mls@suse.de
- Fixed neededforbuild for perl-5.8.0
* Sat Jul 20 2002 prehak@suse.cz
- update to version 1.15
- added openSSL support
* Tue Jul  2 2002 mls@suse.de
- remove race in .packlist generation
* Tue Jan 15 2002 rvasice@suse.cz
- update to version 1.14
* Wed Aug 15 2001 rvasice@suse.cz
- initial package release (version 1.12)
